// ID:ID, monster_id:怪物ID, scene_type:场地类型, weight:出场权重, max_num:最大数量, kill_count:击杀次数, award_drop_prob:魔币掉落概率（百分比）

export default class M_game_battle_field {
  private static data =
      {"1001":{"ID":1001,"monster_id":1001,"scene_type":1,"weight":20,"max_num":2000,"kill_count":[1,1],"award_drop_prob":0.25}

      ,"1002":{"ID":1002,"monster_id":1002,"scene_type":1,"weight":20,"max_num":2000,"kill_count":[2,3],"award_drop_prob":0.33}

      }// ID:ID, monster_id:怪物ID, scene_type:场地类型, weight:出场权重, max_num:最大数量, kill_count:击杀次数, award_drop_prob:魔币掉落概率（百分比）


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}